SACN::Source Class Reference

The Source class. More...

`#include <source.h>`

Inheritance diagram for SACN::Source:
[legend]

## Public Member Functions

| Source (UUID::uuid=UUID::uuid())
| Source::Source. More...
virtual void | create (const uint16_t)
| Source::create. More...
virtual void | terminate (const uint16_t)
| Source::terminate. More...
Universe * | universe (const uint16_t)
| Source::universe. More...
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Protected Member Functions

virtual void | end (const uint16_t)
| Source::end. More...
Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...

## Additional Inherited Members

Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Source class.

## Constructor & Destructor Documentation

## Source()

SACN::Source::Source | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Source::Source.

Parameters

  cid |

## Member Function Documentation

## create()

void SACN::Source::create | ( | const uint16_t | num | ) |

virtual

Source::create.

Parameters

  num |

Here is the call graph for this function:

## end()

void SACN::Source::end | ( | const uint16_t | num | ) |

protectedvirtual

Source::end.

Parameters

  num |

## terminate()

void SACN::Source::terminate | ( | const uint16_t | num | ) |

virtual

Source::terminate.

Parameters

  num |

## universe()

Universe * SACN::Source::universe | ( | const uint16_t | num | ) |

Source::universe.

Parameters

  num |

Returns

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/source.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/source.cpp